<template>
  <div>
    <ShareNetwork
      network="facebook"
      :url="shareUrl"
      :title="shareTitle"
      :description="shareDescription"
      :quote="shareQuote"
      :hashtags="shareHashtags"
    >
      <img src="../../assets/img/icons/036-facebook.svg" width="25" alt="Facebook" />
    </ShareNetwork>
    <ShareNetwork
      network="twitter"
      :url="shareUrl"
      :title="shareTitle"
      :hashtags="shareHashtags"
    >
      <img src="../../assets/img/icons/008-twitter.svg" width="25" alt="Twitter" />
    </ShareNetwork>
    <ShareNetwork
      network="pinterest"
      :url="shareUrl"
      :title="shareTitle"
      :media="sharePinterestMedia"
    >
      <img src="../../assets/img/icons/021-pinterest.svg" width="25" alt="Pinterest" />
    </ShareNetwork>
    <ShareNetwork
      network="linkedin"
      :url="shareUrl"
      :title="shareTitle"
    >
      <img src="../../assets/img/icons/027-linkedin.svg" width="25" alt="Linkedin" />
    </ShareNetwork>
  </div>

</template>

<script>
export default {
  name: "ShareButtons",
  props: ["shareUrl", "shareTitle", "shareDescription",
    "shareQuote", "shareHashtags", "sharePinterestMedia"],
  //metaInfo() {return {
    //meta: [
      //{
        //property: 'og:image',
        //content: this.sharePinterestMedia
      //}
    //]
  //}}
}
</script>
